%define _disable_libtoolize 1

Name:           littlewizard
Version:        1.2.2
Release:        %mkrel 6
Summary:        Development Environment for Children
License:        GPLv2
Group:          Development/Tools
Url:            http://littlewizard.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:        littlewizard.1
Source2:        ru.po
# wget -nH -p -k http://littlewizard.sourceforge.net/tutorial.html
Source3:        tutorial.tar
Source4:        examples.tar
Patch0:         %{name}-%{version}-do-not-override-toolbar-style.patch
Patch1:         %{name}-desktop.patch
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.4

%description
Little Wizard is created especially for primary school children. It allows to
learn programming using the main elements of contemporary computer languages,
including: variables, expressions, loops, conditionals, and logical blocks.
Every element of the language is represented by an intuitive icon. Little
Wizard can be programmed without using the keyboard - only using the mouse.
Little Wizard ships with example files and a tutorial.

%package devel
Summary:        Development headers and files for %{name}
Group:          Development/C++
Requires:       %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
%{name} development.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
cp -f %{SOURCE2} ./po/
sed -i -e "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g" ./configure.in
sed -i -e "s|AM_PROG_CC_STDC|AC_PROG_CC|g" ./configure.in

%build
autoreconf -fi
# configure2_5x does not work
%configure --disable-static
%make
mkdir tutorial
mkdir examples
tar -C tutorial -x -f %{SOURCE3}
tar -x -f %{SOURCE4}

%install
%makeinstall_std

# removing useless files
rm -rf %{buildroot}%{_bindir}/littlewizardtest
rm -rf %{buildroot}%{_prefix}/doc/littlewizard
rm -rf %{buildroot}%{_libdir}/*.*a

# man page
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1

# examples
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -a ./examples/* %{buildroot}%{_datadir}/%{name}/examples/

# icons
mv %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/Adwaita

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO tutorial/*
%dir %{_datadir}/icons/Adwaita/48x48/mimetypes
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/Adwaita/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/icons/Adwaita/scalable/mimetypes/gnome-mime-application-x-%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}
%{_libdir}/liblanguage.so.*
%{_libdir}/liblw.so.*
%{_mandir}/man1/littlewizard.1.*

%files devel
%{_includedir}/*
%{_libdir}/liblanguage.so
%{_libdir}/liblw.so


%changelog
* Fri Feb 12 2016 pterjan <pterjan> 1.2.2-6.mga6
+ Revision: 956101
- The winning combination is to use autoreconf and disable libtoolize

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Feb 09 2015 shlomif <shlomif> 1.2.2-5.mga5
+ Revision: 814245
- move icons from /gnome/ to /Adwaita/ .
- Revise the descriptions to make them more grammatical.

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 747212
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 681961
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 alexl <alexl> 1.2.2-2.mga5
+ Revision: 654970
- fixed macroses in spec (policy)

* Sat Feb 15 2014 alexl <alexl> 1.2.2-1.mga5
+ Revision: 592424
- imported package littlewizard

